org.apache.poi.ss.extractor

## Interface ExcelExtractor

- All Known Implementing Classes:
    EventBasedExcelExtractor, ExcelExtractor, XSSFBEventBasedExcelExtractor, XSSFEventBasedExcelExtractor, XSSFExcelExtractor

      public interface ExcelExtractor

  Common interface for Excel text extractors, covering HSSF and XSSF

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getText()` Retrieves the text contents of the file
    `void` | `setFormulasNotResults(boolean formulasNotResults)` Should we return the formula itself, and not the result it produces? Default is false
    `void` | `setIncludeCellComments(boolean includeCellComments)` Should cell comments be included? Default is false
    `void` | `setIncludeHeadersFooters(boolean includeHeadersFooters)` Should headers and footers be included in the output? Default is true
    `void` | `setIncludeSheetNames(boolean includeSheetNames)` Should sheet names be included? Default is true

- - ### Method Detail

    - #### setIncludeSheetNames

          void setIncludeSheetNames(boolean includeSheetNames)

      Should sheet names be included? Default is true
      Parameters:
        `includeSheetNames` - `true` if the sheet names should be included

    - #### setFormulasNotResults

          void setFormulasNotResults(boolean formulasNotResults)

      Should we return the formula itself, and not the result it produces? Default is false
      Parameters:
        `formulasNotResults` - `true` if the formula itself is returned

    - #### setIncludeHeadersFooters

          void setIncludeHeadersFooters(boolean includeHeadersFooters)

      Should headers and footers be included in the output? Default is true
      Parameters:
        `includeHeadersFooters` - `true` if headers and footers should be included

    - #### setIncludeCellComments

          void setIncludeCellComments(boolean includeCellComments)

      Should cell comments be included? Default is false
      Parameters:
        `includeCellComments` - `true` if cell comments should be included

    - #### getText

          java.lang.String getText()

      Retrieves the text contents of the file
      Returns:
        the text contents of the file

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.